Bug 252313 - GPL-ed drivers for Canon i250 available but not included in Fedora
Summary: GPL-ed drivers for Canon i250 available but not included in Fedora
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: cups (Show other bugs)
(Show other bugs)
Version: 7
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL: http://www.canon.co.nz/products/print...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-08-15 11:04 UTC by David Anderson
Modified: 2008-01-10 14:57 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-10 14:57:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Anderson 2007-08-15 11:04:48 UTC
I set up Fedora 7 for a friend who has a Canon i250.

There is no driver for this in Fedora. However, a GPL-ed driver does exist. By 
installing the two RPMs available from the page in the URL, printing was up 
and working fine in no time.

The page has a variety of other utilities which I didn't investigate. I didn't 
get the canon_usb:/ CUPS backend to work, but the normal usb:/ backend worked 
fine with the PPD from the URL above.

Comment 1 Tim Waugh 2008-01-10 14:57:18 UTC
These drivers do not seem to be maintained upstream (in fact there does not seem
to be an "upstream" to speak of), and do not compile with modern GCC.

Feel free to go through the Fedora package process and package this up for
Fedora yourself.


Note You need to log in before you can comment on or make changes to this bug.